## org.jfree.chart.labels
Interface CategoryLabelGenerator

All Known Implementing Classes:
  IntervalCategoryLabelGenerator, StandardCategoryLabelGenerator

    public interface CategoryLabelGenerator

A category item label generator is an object that can be assigned to a `CategoryItemRenderer` and that assumes responsibility for creating text items to be used as labels for the items in a `CategoryPlot`.

To assist with cloning charts, classes that implement this interface should also implement the `PublicCloneable` interface.

Method Summary
`java.lang.String` `generateColumnLabel(CategoryDataset dataset, int column)` Generates a label for the specified row.
`java.lang.String` `generateLabel(CategoryDataset dataset, int row, int column)` Generates a label for the specified item.
`java.lang.String` `generateRowLabel(CategoryDataset dataset, int row)` Generates a label for the specified row.

Method Detail

### generateRowLabel

    java.lang.String generateRowLabel(CategoryDataset dataset,
                                      int row)

  Generates a label for the specified row.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `row` - the row index (zero-based).
  Returns:
    The label.

### generateColumnLabel

    java.lang.String generateColumnLabel(CategoryDataset dataset,
                                         int column)

  Generates a label for the specified row.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `column` - the column index (zero-based).
  Returns:
    The label.

### generateLabel

    java.lang.String generateLabel(CategoryDataset dataset,
                                   int row,
                                   int column)

  Generates a label for the specified item. The label is typically a formatted version of the data value, but any text can be used.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The label (possibly `null`).